## com.imcode.imcms.servlet.superadmin
Class AdminManager

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.superadmin.AdminManager

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AdminManager

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Nested Class Summary
`static class` `AdminManager.AdminManagerPage`
`static class` `AdminManager.DatesSummarySearchResultColumn`

Field Summary
`static int` `DEFAULT_DOCUMENTS_PER_LIST`
`static java.lang.String` `PAGE_SEARCH`
`static java.lang.String` `PARAMETER_VALUE__SHOW_CREATE`
`static java.lang.String` `PARAMETER_VALUE__SHOW_RECENT`
`static java.lang.String` `PARAMETER_VALUE__SHOW_REMINDERS`
`static java.lang.String` `PARAMETER_VALUE__SHOW_SEARCH`
`static java.lang.String` `PARAMETER_VALUE__SHOW_SUMMARY`
`static java.lang.String` `REQUEST_PARAMETER__ACTION__COPY`
`static java.lang.String` `REQUEST_PARAMETER__CREATE_DOCUMENT_ACTION`
`static java.lang.String` `REQUEST_PARAMETER__CREATE_NEW_DOCUMENT`
`static java.lang.String` `REQUEST_PARAMETER__FROMPAGE`
`static java.lang.String` `REQUEST_PARAMETER__NEW_DOCUMENT_PARENT_ID`
`static java.lang.String` `REQUEST_PARAMETER__SHOW`

Constructor Summary
`AdminManager()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static com.imcode.util.ChainableReversibleNullComparator` `getComparator(java.lang.String sortorder)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__SHOW

    public static final java.lang.String REQUEST_PARAMETER__SHOW

See Also:
  Constant Field Values

### PARAMETER_VALUE__SHOW_CREATE

    public static final java.lang.String PARAMETER_VALUE__SHOW_CREATE

See Also:
  Constant Field Values

### PARAMETER_VALUE__SHOW_RECENT

    public static final java.lang.String PARAMETER_VALUE__SHOW_RECENT

See Also:
  Constant Field Values

### PARAMETER_VALUE__SHOW_REMINDERS

    public static final java.lang.String PARAMETER_VALUE__SHOW_REMINDERS

See Also:
  Constant Field Values

### PARAMETER_VALUE__SHOW_SUMMARY

    public static final java.lang.String PARAMETER_VALUE__SHOW_SUMMARY

See Also:
  Constant Field Values

### PARAMETER_VALUE__SHOW_SEARCH

    public static final java.lang.String PARAMETER_VALUE__SHOW_SEARCH

See Also:
  Constant Field Values

### DEFAULT_DOCUMENTS_PER_LIST

    public static final int DEFAULT_DOCUMENTS_PER_LIST

See Also:
  Constant Field Values

### REQUEST_PARAMETER__FROMPAGE

    public static final java.lang.String REQUEST_PARAMETER__FROMPAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CREATE_NEW_DOCUMENT

    public static final java.lang.String REQUEST_PARAMETER__CREATE_NEW_DOCUMENT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__NEW_DOCUMENT_PARENT_ID

    public static final java.lang.String REQUEST_PARAMETER__NEW_DOCUMENT_PARENT_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CREATE_DOCUMENT_ACTION

    public static final java.lang.String REQUEST_PARAMETER__CREATE_DOCUMENT_ACTION

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ACTION__COPY

    public static final java.lang.String REQUEST_PARAMETER__ACTION__COPY

See Also:
  Constant Field Values

### PAGE_SEARCH

    public static final java.lang.String PAGE_SEARCH

See Also:
  Constant Field Values

Constructor Detail

### AdminManager

    public AdminManager()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getComparator

    public static com.imcode.util.ChainableReversibleNullComparator getComparator(java.lang.String sortorder)